const chalk = require('chalk')
const rimraf = require('rimraf')
const webpack = require('webpack')

module.exports = ({ config, paths, environment }) => {
  rimraf.sync(paths.appBuild)

  webpack(config.toConfig(), (err, stats) => {
    if (err) throw err

    process.stdout.write(
      stats.toString({
        colors: true,
        modules: false,
        children: false,
        chunks: false,
        chunkModules: false
      }) + '\n\n'
    )

    if (stats.hasErrors()) {
      console.log(chalk.red(` 😓 构建失败 -${environment}`))
      process.exit(1)
    }

    console.log(chalk.cyan(` 😄 构建成功 -${environment}`))
  })
}
