const fs = require('fs')
const path = require('path')
const Config = require('webpack-chain')

// 项目下是否有配置表，先加载，方便修改修改paths配置
let projectConfig = null
const projectConfigPath = path.resolve(process.cwd(), 'webpack.chain.js')
if (fs.existsSync(projectConfigPath)) {
  projectConfig = require(projectConfigPath)
}

module.exports = (commandName, environment) => {
  process.env.APP_ENV = environment
  process.env.APP_MODE = commandName === 'start' ? 'development' : 'production'

  const config = new Config()
  const paths = require('./paths')

  require('./webpack.config')({ config, paths })

  if (typeof projectConfig === 'function') {
    projectConfig(config, process.env.APP_MODE)
  }

  require(`../command/${commandName}`)({ config, paths, environment })
}
